# createConstraints

Creates the layout constraints structure for a uicontrol.

## Calling Sequence

                constraints = createConstraints(constraintsType, varargin)

## Arguments

constraintsType

  String

  The type of the layout constraints to be created. Available types of constraints are listed below and their specific properties are detailled on dedicated help page:

  - "none" or "nolayout": No constraints will be added to the uicontrol layout.

  - "grid": A grid layout constraint.

  - "border": A border layout constraint.

  - "gridbag": A gridbag layout constraint.

varargin

  All `constraintsType` specific properties.

constraints

  The created constraints.

## Description

This function creates the constraints structure for uicontrols `constraints` attribute. See uicontrol properties. for more details.

## See Also

- uicontrol
- uicontrol_properties

## History

5.5.0
Function `createBorder` introduced.